openni::CameraSettings Class Reference

`#include <OpenNI.h>`

## Public Member Functions

bool | getAutoExposureEnabled () const
bool | getAutoWhiteBalanceEnabled () const
int | getExposure ()
int | getGain ()
bool | isValid () const
Status | setAutoExposureEnabled (bool enabled)
Status | setAutoWhiteBalanceEnabled (bool enabled)
Status | setExposure (int exposure)
Status | setGain (int gain)

## Friends

class | VideoStream

## Member Function Documentation

## getAutoExposureEnabled()

bool openni::CameraSettings::getAutoExposureEnabled | ( |  | ) | const

inline

## getAutoWhiteBalanceEnabled()

bool openni::CameraSettings::getAutoWhiteBalanceEnabled | ( |  | ) | const

inline

## getExposure()

int openni::CameraSettings::getExposure | ( |  | ) |

inline

## getGain()

int openni::CameraSettings::getGain | ( |  | ) |

inline

## isValid()

bool openni::CameraSettings::isValid | ( |  | ) | const

inline

## setAutoExposureEnabled()

Status openni::CameraSettings::setAutoExposureEnabled | ( | bool | enabled | ) |

inline

## setAutoWhiteBalanceEnabled()

Status openni::CameraSettings::setAutoWhiteBalanceEnabled | ( | bool | enabled | ) |

inline

## setExposure()

Status openni::CameraSettings::setExposure | ( | int | exposure | ) |

inline

## setGain()

Status openni::CameraSettings::setGain | ( | int | gain | ) |

inline

## Friends And Related Symbol Documentation

## VideoStream

friend class VideoStream

friend

The documentation for this class was generated from the following file:

- OpenNI.h